Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000015 [DCSS] Source Cleanup minor N/A 2009-11-22 19:55 2010-04-23 02:32
Reporter rob View Status public  
Assigned To rob
Priority normal Resolution done  
Status closed   Product Branch
Summary 0000015: newgame.cc: separate character choice from character initialization.
Description new_game currently mixes user interrogation and game initialization.

It should instead return some struct newgame_def without changing the game state (aside from setting previous choice etc.). There should be a new function setup_game(newgame_def ng) that does the initialization of "you" and whatever else.

Benefits would include being able to properly generate characters within ctest/lua, or possibly replacing the character selection part in the tiles version.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0000026)
jpeg (manager)
2009-11-22 22:51

I'll admit that I don't understand entirely what you are planning to do, but cleaning up newgame.cc certainly would be a worthwhile task, particularly if it involves Tiles benefits. :)
(0000037)
Kyrris (reporter)
2009-11-23 14:42

He wants to make the move from HTML to CSS, essentially, which allows you to pass in the equivalent of new style sheets out of a text file in order to automatically generate games.
(0000148)
evktalo (administrator)
2009-11-27 11:51

Moved out of feedback, which would be used differently. http://crawl.develz.org/wiki/doku.php?id=mantis:thoughts_for_customizing_the_mantis_settings_for_dcss#status [^]

(a "brainstorm" status is planned for this use)

--Eino

- Issue History
Date Modified Username Field Change
2009-11-22 19:55 rob New Issue
2009-11-22 19:55 rob Test Custom Field => Foo
2009-11-22 22:51 jpeg Note Added: 0000026
2009-11-22 22:51 jpeg Reproducibility have not tried => N/A
2009-11-22 22:51 jpeg Status new => feedback
2009-11-23 14:42 Kyrris Note Added: 0000037
2009-11-27 11:51 evktalo Note Added: 0000148
2009-11-27 11:51 evktalo Status feedback => acknowledged
2010-04-23 02:32 rob Status acknowledged => resolved
2010-04-23 02:32 rob Fixed in Branch => 0.7 development branch
2010-04-23 02:32 rob Resolution open => done
2010-04-23 02:32 rob Assigned To => rob
2010-04-23 02:32 rob Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker